Subject: Re: bug#12315: 24.1.50; apparent bug in bzr commit

From: Glenn Morris <[email-masked]>
Date: Thu, 30 Aug 2012 21:17:51 -0400

Richard Stallman wrote:

> I used vc-directory then C-x v v to check in a change in
> lisp/simple.el and lisp/ChangeLog.  lisp/mail/qp.el 
> had an unrelated change, and I had not marked that file
> in the *vc-dir* buffer.  However, it had a conflict.
> C-x v v gave me an error message about that conflict.
>
> I think that is a bug; it should have ignored the conflict
> since that file was not being operated on.

This is a bzr issue, not an Emacs one, as can be demonstrated:

mkdir test1
cd test1
touch 1 2
bzr init
bzr add
bzr commit -m "commit1"

cd ../
bzr branch test1 test2

echo change >| test1/2
bzr commit -m "commit2" test1

cd test2
echo other-change >| 2
bzr pull  # -> conflict in file 2

echo change >| 1
bzr commit -m "Try to commit file 1 only" 1

Result:
  bzr: ERROR: Conflicts detected in working tree.  Use "bzr conflicts"
  to list, "bzr resolve FILE" to resolve.